dbXML API

## com.dbxml.db.enterprise.sync
Class Constants

    java.lang.Object
      com.dbxml.db.enterprise.sync.Constants

public final class Constants
extends java.lang.Object

Constants

Field Summary
`static java.lang.String` `COLLECTION`
`static java.lang.String` `COLLECTIONS`
`static java.lang.String` `CONTENT`
`static java.lang.String` `CREATED`
`static java.lang.String` `DATE`
`static java.lang.String` `GROUP`
`static java.lang.String` `GROUPS`
`static java.lang.String` `MANIFEST`
`static java.lang.String` `MODIFIED`
`static java.lang.String` `NAME`
`static java.lang.String` `NOTE`
`static java.lang.String` `NOTES`
`static java.lang.String` `OWNER`
`static java.lang.String` `PATH`
`static java.lang.String` `SIZE`
`static java.lang.String` `STATUS`
`static int` `STATUS_ACTIVE`
`static int` `STATUS_DELETED`
`static int` `STATUS_INACTIVE`
`static int` `STATUS_UNKNOWN`
`static java.lang.String` `TAG`
`static java.lang.String` `TAGS`
`static java.lang.String` `VERSION`

Method Summary
`static java.lang.String` `getStatusString(int status)`
`static int` `getStatusValue(java.lang.String status)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MANIFEST

    public static final java.lang.String MANIFEST

See Also:
  Constant Field Values

### GROUPS

    public static final java.lang.String GROUPS

See Also:
  Constant Field Values

### GROUP

    public static final java.lang.String GROUP

See Also:
  Constant Field Values

### VERSION

    public static final java.lang.String VERSION

See Also:
  Constant Field Values

### CONTENT

    public static final java.lang.String CONTENT

See Also:
  Constant Field Values

### MODIFIED

    public static final java.lang.String MODIFIED

See Also:
  Constant Field Values

### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

### STATUS

    public static final java.lang.String STATUS

See Also:
  Constant Field Values

### DATE

    public static final java.lang.String DATE

See Also:
  Constant Field Values

### PATH

    public static final java.lang.String PATH

See Also:
  Constant Field Values

### OWNER

    public static final java.lang.String OWNER

See Also:
  Constant Field Values

### CREATED

    public static final java.lang.String CREATED

See Also:
  Constant Field Values

### SIZE

    public static final java.lang.String SIZE

See Also:
  Constant Field Values

### TAGS

    public static final java.lang.String TAGS

See Also:
  Constant Field Values

### TAG

    public static final java.lang.String TAG

See Also:
  Constant Field Values

### NOTES

    public static final java.lang.String NOTES

See Also:
  Constant Field Values

### NOTE

    public static final java.lang.String NOTE

See Also:
  Constant Field Values

### COLLECTIONS

    public static final java.lang.String COLLECTIONS

See Also:
  Constant Field Values

### COLLECTION

    public static final java.lang.String COLLECTION

See Also:
  Constant Field Values

### STATUS_UNKNOWN

    public static final int STATUS_UNKNOWN

See Also:
  Constant Field Values

### STATUS_ACTIVE

    public static final int STATUS_ACTIVE

See Also:
  Constant Field Values

### STATUS_INACTIVE

    public static final int STATUS_INACTIVE

See Also:
  Constant Field Values

### STATUS_DELETED

    public static final int STATUS_DELETED

See Also:
  Constant Field Values

Method Detail

### getStatusValue

    public static int getStatusValue(java.lang.String status)

### getStatusString

    public static java.lang.String getStatusString(int status)

dbXML API

Copyright (c) 2004 The dbXML Group